Package be.ehealth.technicalconnector.beid.domain

# Enum Class DocumentType

java.lang.Object
java.lang.Enum<DocumentType>
be.ehealth.technicalconnector.beid.domain.DocumentType

All Implemented Interfaces:
  `Serializable`, `Comparable<DocumentType>`, `java.lang.constant.Constable`

public enum DocumentType extends Enum<DocumentType> implements Serializable
DocumentType enumeration (type associated with the id card)

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BELGIAN_CITIZEN`
  Belgian citizen
  `BOOTSTRAP_CARD`
  Bootstrap card
  `EUROPEAN_BLUE_CARD_H`
  European blue card H
  `FOREIGNER_A`
  Foreigner A
  `FOREIGNER_B`
  Foreigner B
  `FOREIGNER_C`
  Foreigner C
  `FOREIGNER_D`
  Foreigner D
  `FOREIGNER_E`
  Foreigner E
  `FOREIGNER_E_PLUS`
  Foreigner E+
  `FOREIGNER_EU`
  `FOREIGNER_EU_PLUS`
  `FOREIGNER_F`
  Foreigner F
  `FOREIGNER_F_PLUS`
  Foreigner F+
  `FOREIGNER_I`
  `FOREIGNER_J`
  `FOREIGNER_K`
  ETABLISSEMENT
  `FOREIGNER_KIDS_A`
  `FOREIGNER_KIDS_B`
  `FOREIGNER_KIDS_EU`
  `FOREIGNER_KIDS_EU_PLUS`
  `FOREIGNER_KIDS_F`
  `FOREIGNER_KIDS_F_PLUS`
  `FOREIGNER_KIDS_K`
  `FOREIGNER_KIDS_L`
  `FOREIGNER_KIDS_M`
  `FOREIGNER_L`
  RESIDENT DE LONGUE DUREE – UE
  `FOREIGNER_M`
  `FOREIGNER_N`
  `HABILITATION_CARD`
  Habilitation card
  `KIDS_CARD`
  Kids card

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<Integer>`
  `getKeys()`
  `static DocumentType`
  `toDocumentType(byte[] value)`
  Transforms a byte array into a Document type
  `static String`
  `toString(byte[] documentTypeValue)`
  Transforms a byte array into a String
  `static DocumentType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DocumentType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BELGIAN_CITIZEN

    public static final DocumentType BELGIAN_CITIZEN
    Belgian citizen

  - ### KIDS_CARD

    public static final DocumentType KIDS_CARD
    Kids card

  - ### BOOTSTRAP_CARD

    public static final DocumentType BOOTSTRAP_CARD
    Bootstrap card

  - ### HABILITATION_CARD

    public static final DocumentType HABILITATION_CARD
    Habilitation card

  - ### FOREIGNER_A

    public static final DocumentType FOREIGNER_A
    Foreigner A

  - ### FOREIGNER_B

    public static final DocumentType FOREIGNER_B
    Foreigner B

  - ### FOREIGNER_C

    public static final DocumentType FOREIGNER_C
    Foreigner C

  - ### FOREIGNER_D

    public static final DocumentType FOREIGNER_D
    Foreigner D

  - ### FOREIGNER_E

    public static final DocumentType FOREIGNER_E
    Foreigner E

  - ### FOREIGNER_E_PLUS

    public static final DocumentType FOREIGNER_E_PLUS
    Foreigner E+

  - ### FOREIGNER_F

    public static final DocumentType FOREIGNER_F
    Foreigner F

  - ### FOREIGNER_F_PLUS

    public static final DocumentType FOREIGNER_F_PLUS
    Foreigner F+

  - ### EUROPEAN_BLUE_CARD_H

    public static final DocumentType EUROPEAN_BLUE_CARD_H
    European blue card H

  - ### FOREIGNER_I

    public static final DocumentType FOREIGNER_I

  - ### FOREIGNER_J

    public static final DocumentType FOREIGNER_J

  - ### FOREIGNER_M

    public static final DocumentType FOREIGNER_M

  - ### FOREIGNER_N

    public static final DocumentType FOREIGNER_N

  - ### FOREIGNER_K

    public static final DocumentType FOREIGNER_K
    ETABLISSEMENT

  - ### FOREIGNER_L

    public static final DocumentType FOREIGNER_L
    RESIDENT DE LONGUE DUREE – UE

  - ### FOREIGNER_EU

    public static final DocumentType FOREIGNER_EU

  - ### FOREIGNER_EU_PLUS

    public static final DocumentType FOREIGNER_EU_PLUS

  - ### FOREIGNER_KIDS_EU

    public static final DocumentType FOREIGNER_KIDS_EU

  - ### FOREIGNER_KIDS_EU_PLUS

    public static final DocumentType FOREIGNER_KIDS_EU_PLUS

  - ### FOREIGNER_KIDS_A

    public static final DocumentType FOREIGNER_KIDS_A

  - ### FOREIGNER_KIDS_B

    public static final DocumentType FOREIGNER_KIDS_B

  - ### FOREIGNER_KIDS_K

    public static final DocumentType FOREIGNER_KIDS_K

  - ### FOREIGNER_KIDS_L

    public static final DocumentType FOREIGNER_KIDS_L

  - ### FOREIGNER_KIDS_F

    public static final DocumentType FOREIGNER_KIDS_F

  - ### FOREIGNER_KIDS_F_PLUS

    public static final DocumentType FOREIGNER_KIDS_F_PLUS

  - ### FOREIGNER_KIDS_M

    public static final DocumentType FOREIGNER_KIDS_M

- ## Method Details

  - ### values

    public static DocumentType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DocumentType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getKeys

    public Set<Integer> getKeys()
    Returns:
      the keys

  - ### toDocumentType

    public static DocumentType toDocumentType(byte[] value)
    Transforms a byte array into a Document type
    Parameters:
      `value` - the byte array
    Returns:
      the document type

  - ### toString

    public static String toString(byte[] documentTypeValue)
    Transforms a byte array into a String
    Parameters:
      `documentTypeValue` - the byte array
    Returns:
      the string